Page MenuHomePhabricator

ecore-drm2: Factor in output rotation when getting output info
ClosedPublic

Authored by devilhorns on Mar 6 2019, 9:16 AM.

Details

Summary

Enlightenment uses this function to get information about a given
output, so we should be accounting for output rotation when returning
width/height values.

ref T7690

@fix

Depends on D8114

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
devilhorns created this revision.Mar 6 2019, 9:16 AM
devilhorns requested review of this revision.Mar 6 2019, 9:16 AM
cedric accepted this revision.Mar 6 2019, 10:56 AM
This revision is now accepted and ready to land.Mar 6 2019, 10:56 AM
devilhorns updated this revision to Diff 20461.Mar 12 2019, 6:21 AM
devilhorns edited the summary of this revision. (Show Details)

No Changes

devilhorns updated this revision to Diff 20570.Mar 14 2019, 9:57 AM

no changes

devilhorns updated this revision to Diff 20732.Mar 19 2019, 7:23 AM
devilhorns added a reviewer: zmike.

no changes

This revision was automatically updated to reflect the committed changes.